Subject: bug#6591: 24.0.50; incorrect doc for `catch'

From: Štěpán Němec <[email-masked]>
Date: Sun, 11 Jul 2010 10:14:47 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: "Drew Adams" <[email-masked]>
>> Cc: <[email-masked]>
>> Date: Sat, 10 Jul 2010 21:21:04 -0700
>> 
>> If you now say that you are open to looking
>> for another syntax to use, then I would return to my initial suggestion
> (but I
>> won't argue that it is the only good approach): use `...' to mean
> repetitions of
>> whatever it follows, in this case a sexp, and thus write (catch TAG
> FORM...).
>> Introducing a grouping syntax operator (e.g. braces: {}), so the scope of
> the
>> ellipsis can be controlled - e.g. (A B {C D}... E...) meaning that C D
> repeats
>> and E repeats.
>
> Using FORM... is okay, but will need more extensive changes, so I'd
> rather not do it.  I'd like to simply remove the dots after BODY, and
> explain in the text that BODY can consist of one or more forms.
>
> Does anyone see any reason why keeping the dots in BODY... will have
> some didactical importance?  Richard? Stefan? Yidong?

Well, just look at `when' -- ISTM it has the very same "problem" as
discussed here. And it's probably not the only one/two.

Štěpán